org.apache.felix.prefs

## Class PreferencesDescription

- java.lang.Object
- - org.apache.felix.prefs.PreferencesDescription

    public class PreferencesDescription
    extends Object

A preferences description identifies a preferences try. It is a unique identifier consisting of: - the bundle id - the preferences name which is not the node name but either null for the system preferences or the user name.

### Field Summary

Fields
`protected Long` `bundleId`
`protected String` `identifier`

### Constructor Summary

Constructors
Constructor and Description
`PreferencesDescription(Long id, String identifier)`

### Method Summary

Methods
`Long` `getBundleId()`
`String` `getIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bundleId

    protected final Long bundleId

#### identifier

    protected final String identifier

### Constructor Detail

#### PreferencesDescription

    public PreferencesDescription(Long id,
                          String identifier)

### Method Detail

#### getBundleId

    public Long getBundleId()

#### getIdentifier

    public String getIdentifier()